Package: zukomp 0.1.0.9000

zukomp: Portable Byte Compression with a Pluggable Codec Registry

Compresses and decompresses raw vectors through a single codec-neutral interface backed by a runtime registry, so the set of available codecs is discovered rather than fixed at compile time. The 'DEFLATE' family ('gzip', 'zlib', and headerless 'DEFLATE'), 'Zstandard' and 'LZ4' (frame and block formats) are built in from vendored 'miniz', 'zstd' and 'lz4' sources, requiring no system compression library. Decompression enforces configurable output-size and expansion-ratio limits and reports failures through structured conditions. A registered C-callable interface lets other packages drive the codecs from C and register codecs of their own. The formats are specified in Deutsch (1996) <doi:10.17487/RFC1951>, Deutsch and Gailly (1996) <doi:10.17487/RFC1950>, Deutsch (1996) <doi:10.17487/RFC1952>, and Collet and Kucherawy (2021) <doi:10.17487/RFC8878>.

Authors:Pedro Baltazar [aut, cre, cph], Rich Geldreich [ctb, cph], Tenacious Software LLC [cph], RAD Game Tools [cph], Valve Software [cph], Martin Raiber [ctb, cph], Alex Evans [ctb], Alistair Moffat [ctb], Jyrki Katajainen [ctb], Yann Collet [ctb, cph], Meta Platforms, Inc. and affiliates [cph], Tino Reichardt [ctb, cph]

zukomp_0.1.0.9000.tar.gz
zukomp_0.1.0.9000.zip(r-4.7-x86_64)zukomp_0.1.0.9000.zip(r-4.7-arm64)zukomp_0.1.0.9000.zip(r-4.6-x86_64)zukomp_0.1.0.9000.zip(r-4.6-arm64)zukomp_0.1.0.9000.zip(r-4.5-x86_64)
zukomp_0.1.0.9000.tgz(r-4.6-x86_64)zukomp_0.1.0.9000.tgz(r-4.6-arm64)zukomp_0.1.0.9000.tgz(r-4.5-x86_64)zukomp_0.1.0.9000.tgz(r-4.5-arm64)
zukomp_0.1.0.9000.tar.gz(r-4.7-arm64)zukomp_0.1.0.9000.tar.gz(r-4.7-x86_64)zukomp_0.1.0.9000.tar.gz(r-4.6-arm64)zukomp_0.1.0.9000.tar.gz(r-4.6-x86_64)
zukomp_0.1.0.9000.tgz(r-4.6-emscripten)
manual.pdf |manual.html✨
DESCRIPTION |NEWS
card.svg |card.png
zukomp/json (API)

# Install 'zukomp' in R:
install.packages('zukomp', repos = c('https://pedrobtz.r-universe.dev', 'https://cloud.r-project.org'))

Bug tracker:https://github.com/pedrobtz/zukomp/issues

Pkgdown/docs site:https://pedrobtz.github.io

On CRAN:

Conda:

3.54 score 6 scripts 220 downloads 6 exports 0 dependencies

Last updated from:497ac12522. Checks:15 OK. Indexed: yes.

TargetResultTimeFilesSyslog
linux-devel-arm64OK119
linux-devel-x86_64OK122
source / vignettesOK220
linux-release-arm64OK115
linux-release-x86_64OK111
macos-release-arm64OK136
macos-release-x86_64OK334
macos-oldrel-arm64OK128
macos-oldrel-x86_64OK225
windows-devel-arm64OK243
windows-devel-x86_64OK178
windows-release-arm64OK230
windows-release-x86_64OK142
windows-oldrel-x86_64OK151
wasm-releaseOK85

Exports:komp_codec_availablekomp_codecskomp_compresskomp_decompresskomp_detectkomp_info

Dependencies: